Update Space Feature

Update Space Feature
Update a space feature

Update a space feature.

Request
URI
PATCH
https://api.example.local/v3/spaces/{guid}/features/{name}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

string
name
Required

name

Possible values are : ssh,

Request Body
{
    "enabled": false
}
boolean
enabled
Optional

enabled

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SpaceFeature of type(s) application/json
{
    "name": "string",
    "description": "string",
    "enabled": false
}
string
name
Optional

name

string
description
Optional

description

boolean
enabled
Optional

enabled


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]'